Subject: Re: bug#12478: cat SEGV when I press Ctrl-Alt-SysRq-1 on text console

From: "Rafal W." <[email-masked]>
Date: Mon, 1 Oct 2012 13:27:10 +0200

Thanks. Without Control more things are working.
Alt-SysRq-m and other letters works, doesn't kill the process.
So the only problems are numbers:
Alt-SysRq-1 to 9 (exempt 5 & 6) is killing the process.
Looks like 5 and 6 have some special privileges.

Kind Regards,
Rafal

Sent from my iPhone

On 1 Oct 2012, at 12:41, "Alan Curry" <[email-masked]> wrote:

> Rafal W. writes:
>>
>> So in example if I want to check all currently held Locks with SysRq-D
>> (which doesn't work anyway), so:
>> When I press SysRq-D, I've KSnapshot popping up. In the text console
>> it doesn't work at all.
>
> ksnapshot sounds like something that might respond to a PrtSc keypress. This
> is a sign that you aren't using Alt, so what you've really done is PrtSc-D.
> Didn't I tell you already to stop using "SysRq" to descibe key combinations
> that don't include Alt? WITHOUT ALT IT IS NOT A SYSRQ KEY. Got that yet?
> Reread it until you do.
>
>> When I press Control-SysRq-D, my session is getting logout.
>
> Well, Ctrl-D is EOF and PrtSc+D is a meaningless combination (as meaningless
> as pressing D and Q at the same time, it's anyone's guess which will take
> precedence)
>
>> When I press Control-Alt-SysRq-D my processes are killed.
>
> Too many keys there, I can't guess what they're all doing. Get rid of the
> Control. And make sure your kernel has CONFIG_LOCKDEP, otherwise the Sysrq+D
> function is disabled.
>
> Also, based on the Subject line, you think "SEGV" is a synonym for core dump.
> Stop thinking that. Nothing segfaulted. SIGSEGV is one of many signals that
> can cause a core dump. SIGQUIT is another one.
>
> --
> Alan Curry